import 'package:blusalt_identity/model/bvn_response.dart';
import 'package:blusalt_identity/network/network_client.dart';

import 'package:mockito/mockito.dart';
import 'package:test/test.dart';

const fakeResponse = {
  "status_code": 200,
  "status": "Success",
  "message": "App Initialized Successfully",
};

void main() {
  test("Test Network Request", () {
    xxxx();
  });
}

class MockHttpClient extends Mock implements HttpClient{}

void xxxx(){
  Map<String, dynamic> map = {
    'status_code': 200,
    "status": "Success",
    "message": "BVN Verification Completed Successfully",
    "results": {
      "request_reference": "l9wBqGGPwbPN",
      "bvn_number": "22169344973",
      "name_on_card": "JAMES DANIEL ONUCHEOJO",
      "enrolment_branch": null,
      "enrolment_bank": null,
      "formatted_registration_date": null,
      "level_of_account": "Level 1 - Low Level Accounts",
      "nin": "31296957069",
      "watchlisted": "NO",
      "verification_status": "VERIFIED",
      "service_type": "BVN Verification without Image",
      "personal_info": {
        "first_name": "DANIEL",
        "middle_name": "ONUCHEOJO",
        "last_name": "JAMES",
        "full_name": "DANIEL ONUCHEOJO JAMES",
        "email": "danny7jayali@gmail.com",
        "gender": "Male",
        "phone_number": "07065745963",
        "phone_number_2": "",
        "date_of_birth": "29-Dec-1987",
        "formatted_date_of_birth": "December 29, 1987",
        "lga_of_origin": "Omala",
        "state_of_origin": "Kogi State",
        "nationality": "Nigeria",
        "marital_status": "Single"
      },
      "residential_info": {
        "state_of_residence": "Bauchi State",
        "lga_of_residence": "Bauchi",
        "residential_address": "YELWA LEBRA "
      }
    }
  };
  //Map resp = jsonDecode(map.toString());
  var response = BVNResponse.fromJson(map);
  print(response.toJson());
}
